Register now    |   Login  

COMMUNITY





Back to Forum Index
   Development & Bugs
     Problem with Ubuntu x86_64
Register To Post
Poster Thread
patojar
(Just popping in)


Joined: 2005/11/16
Posts: 3

Posted on: 2005/11/16 2:52

Problem with Ubuntu x86_64
Hi, I'm using ubuntu Breezy for x86_64, and when I try to run Yamipod I get:

./YamiPod: error while loading shared libraries: libcups.so.2: cannot open shared object file: No such file or directory

I've noticed this has happened to a lot of people, and someone fixed it by installing cups-libs, which doesn't exist in Ubuntu.

The file is clearly there, it's in
/usr/lib/libcups.so.2

Could anyone help me??
yamipod
(Webmaster)


Joined: 2005/1/18
Posts: 793

Posted on: 2005/11/16 3:13

Re: Problem with Ubuntu x86_64
Yup, this is a known problem. It's probably due to tha fact that libcups is a 64bit version. You can try running YamiPod in a 32bit chroot and see if that works. I can't help further as I don't own a 64bit cpu. You could also post in linux newsgroup of realbasic (www.realsoftware.com), the software I use to dev YamiPod.

HTH,
Tomas
patojar
(Just popping in)


Joined: 2005/11/16
Posts: 3

Posted on: 2005/11/16 6:49

Re: Problem with Ubuntu x86_64
I'll try with them..
Thanks a lot!
patojar
(Just popping in)


Joined: 2005/11/16
Posts: 3

Posted on: 2005/11/17 0:57

Re: Problem with Ubuntu x86_64
ok.. so what I got from the REALbasic forums was a tarball containing all the 32 bit libraries I needed to run REALbasic programms, and it did help, but I still cant run Yamipod, what I get now is this:



(process:8715): Gdk-WARNING **: locale not supported by Xlib

(process:8715): Gdk-WARNING **: cannot set locale modifiers

(YamiPod:8715): Gdk-WARNING **: Error converting from UTF-8 to STRING: Conversion from character set 'UTF-8' to 'ISO-8859-1' is not supported

(YamiPod:8715): Gdk-WARNING **: Error converting from UTF-8 to STRING: Conversion from character set 'UTF-8' to 'ISO-8859-1' is not supported

(YamiPod:8715): Gtk-WARNING **: /usr/lib/gtk-2.0/2.4.0/engines/libindustrial.so: cannot open shared object file: No such file or directory

(YamiPod:8715): Gtk-WARNING **: /usr/lib/gtk-2.0/2.4.0/engines/libindustrial.so: cannot open shared object file: No such file or directory

(YamiPod:8715): Gtk-WARNING **: /usr/lib/gtk-2.0/2.4.0/engines/libindustrial.so: cannot open shared object file: No such file or directory

(YamiPod:8715): Pango-WARNING **: /usr/lib/pango/1.4.0/modules/pango-basic-fc.so: cannot open shared object file: No such file or directory
Failed to load Pango module for id: 'BasicScriptEngineFc'
(YamiPod:8715): Pango-WARNING **: /usr/lib/pango/1.4.0/modules/pango-basic-fc.so: cannot open shared object file: No such file or directory
Failed to load Pango module for id: 'BasicScriptEngineFc'
(YamiPod:8715): Pango-WARNING **: /usr/lib/pango/1.4.0/modules/pango-basic-fc.so
: cannot open shared object file: No such file or directory
Failed to load Pango module for id: 'BasicScriptEngineFc'
(YamiPod:8715): Pango-WARNING **: /usr/lib/pango/1.4.0/modules/pango-basic-fc.so: cannot open shared object file: No such file or directory
Failed to load Pango module for id: 'BasicScriptEngineFc'
(YamiPod:8715): Pango-WARNING **: /usr/lib/pango/1.4.0/modules/pango-basic-fc.so: cannot open shared object file: No such file or directory
Failed to load Pango module for id: 'BasicScriptEngineFc'
(YamiPod:8715): Pango-WARNING **: /usr/lib/pango/1.4.0/modules/pango-basic-fc.so: cannot open shared object file: No such file or directory
Failed to load Pango module for id: 'BasicScriptEngineFc'
(YamiPod:8715): Pango-WARNING **: /usr/lib/pango/1.4.0/modules/pango-basic-fc.so: cannot open shared object file: No such file or directory
Failed to load Pango module for id: 'BasicScriptEngineFc'
(YamiPod:8715): Pango-CRITICAL **: _pango_engine_shape_shape: assertion `PANGO_IS_FONT (font)' failed

Pango-ERROR **: file shape.c: line 75 (pango_shape): assertion failed: (glyphs->num_glyphs > 0)
aborting...
Aborted

I do have the files it supposedly can't find

some are in /usr/lib32 and some are only in /usr/lib

So I think I'm getting closer..
Thanks for all the help
yamipod
(Webmaster)


Joined: 2005/1/18
Posts: 793

Posted on: 2005/11/17 2:36

Re: Problem with Ubuntu x86_64
Continue asking REALSoftware's linux newsgroup, and if you manage to get it running please post again.

Thanks!
Tomas

Register To Post